## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate bzip2-rs

Name:           rust-bzip2-rs
Version:        0.1.2
Release:        %autorelease
Summary:        Pure Rust bzip2 decompressor

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bzip2-rs
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# - remove dev-dependencies on criterion and bzip2 that are both only needed
#   for benchmarks, which we don't run
# - remove the nightly feature, because the resulting rpm can not be installed
Patch:          bzip2-rs-fix-metadata.diff
# Upstream patch that drops pretty_assertions dependency
# https://github.com/paolobarbolini/bzip2-rs/commit/d407c34f3e028ad6188a84b675c4cc3a632b2e06.
Patch:          0002-Drop-pretty_assertions-removed-upstream.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Pure Rust bzip2 decompressor.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_1_37-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_37-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_1_37" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_1_37-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_1_40-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_40-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_1_40" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_1_40-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustc_1_51-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_51-devel %{_description}

This package contains library source intended for building other packages which
use the "rustc_1_51" feature of the "%{crate}" crate.

%files       -n %{name}+rustc_1_51-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Oct 29 2024 Orion Poplawski <orion@nwra.com> - 0.1.2-3
- Backport upstream patch to remove build dependency on pretty_assertions

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Felix Maurer <fmaurer@redhat.com> - 0.1.2-1
- Initial import (fedora#2228632).
## END: Generated by rpmautospec
